Package org.apache.sling.distribution.queue.impl.resource

## Class ResourceQueueCleanupTask

- java.lang.Object
- - org.apache.sling.distribution.queue.impl.resource.ResourceQueueCleanupTask

All Implemented Interfaces:
  `Runnable`

    public class ResourceQueueCleanupTask
    extends Object
    implements Runnable

### Constructor Summary

Constructors
`ResourceQueueCleanupTask​(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, String serviceName, String rootPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `removeEmptyFolders​(org.apache.sling.api.resource.Resource root)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceQueueCleanupTask

    public ResourceQueueCleanupTask​(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory,
                                    String serviceName,
                                    String rootPath)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### removeEmptyFolders

    public void removeEmptyFolders​(org.apache.sling.api.resource.Resource root)
                            throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`